<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	template="/WEB-INF/templates/menu_template.xhtml">

	<ui:define name="tituloPagina">#{msgListaPrecios.bcListaPrecioEditar}</ui:define>

	<ui:define name="cuerpoPagina">
		<h:form id="form">
			<p:breadCrumb>
				<p:menuitem value="#{msgListaPrecios.bcInicio}"
					url="${request.contextPath}/" />
				<p:menuitem value="#{msgListaPrecios.bcListaPrecio}" url="#" />
				<p:menuitem value="#{msgListaPrecios.bcListaPrecioAdmin}" 
				url="${request.contextPath}/lista/precios/administrar.faces" />
				<p:menuitem value="#{msgListaPrecios.bcListaPrecioEditar}"
					url="${request.contextPath}/lista/precios/editar.faces" />
			</p:breadCrumb>

			<p:growl id="messages" showDetail="true" showSummary="true"
				for="msgGrowl" escape="false" />

			<p:panelGrid id="panel" style="width: 80%;">
				<f:facet name="header">
					<p:row>
						<p:column colspan="2">
							<p:outputLabel>#{msgListaPrecios.tituloEditar}</p:outputLabel>
						</p:column>
					</p:row>
				</f:facet>

				<p:row>
					<p:column style="width: 20%;">
						<h:outputLabel for="nombreListaPrecio"
							value="#{msgListaPrecios.nombreListaPrecio}" />
					</p:column>

					<p:column style="width: 80%;'">
						<p:inputText id="nombreListaPrecio"
							value="#{beanListaPrecio.objListaPrecio.nombreListaPrecio}"
							required="true" style="width: 50%; line-height: 20px;"
							requiredMessage="#{msgListaPrecios.nombreListaPrecioRequerido}" />
						<p:message for="nombreListaPrecio" style="width: 40%;" />
					</p:column>
				</p:row>

				<p:row>
					<p:column style="width: 20%;">
						<h:outputLabel for="estado" value="#{msgListaPrecios.estado}" />
					</p:column>

					<p:column style="width: 80%;'">

						<p:selectOneMenu id="estado"
							value="#{beanListaPrecio.objListaPrecio.estado}" required="true"
							style="width: 50%; line-height: 20px;"
							requiredMessage="#{msgListaPrecios.estadoRequerido}">

							<f:selectItem
								itemLabel="#{msgListaPrecios.comboEstadoSeleccionar}"
								itemValue="" />
							<f:selectItem itemLabel="#{msgListaPrecios.comboEstadoActivo}"
								itemValue="1" />
							<f:selectItem itemLabel="#{msgListaPrecios.comboEstadoInactivo}"
								itemValue="2" />

							<f:facet name="footer">
								<p:separator />
								<h:outputText value="#{msgListaPrecios.comboEstadoFooter}"
									style="font-weight: bold;" />
							</f:facet>

						</p:selectOneMenu>
						<p:message for="estado" style="width: 40%;" />
					</p:column>
				</p:row>


				<f:facet name="footer">

					<p:row>
						<p:column style="width: 20%;">
						</p:column>

						<p:column style="width: 80%;">
							<p:commandButton value="#{msgListaPrecios.btnActualizar}"
								ajax="false" update="panel messages"
								action="#{beanListaPrecio.btnActualizar()}" />
						</p:column>
					</p:row>

				</f:facet>

			</p:panelGrid>


		</h:form>

	</ui:define>

</ui:composition>

